Package org.opensaml.saml.saml2.assertion.messaging

# Interface AssertionValidationNetworkInformationSupplier

All Known Implementing Classes:
  `BasicNetworkInformationSupplier`, `HttpServletRequestNetworkInformationSupplier`

public interface AssertionValidationNetworkInformationSupplier
Interface for a component that supplies network-related information for assertion validation.

## Method Summary

Modifier and Type
Method
Description
`X509Certificate`
`getAttesterCertificate()`
The X.509 certificate presented by the attesting party, may be null.
`String`
`getAttesterIPAddress()`
The attesting party's IP address, may be null.
`String`
`getReceiverEndpointURI()`
The endpoint URI at which the assertion being validated was received, may be null.

## Method Details

### getAttesterCertificate

@Nullable X509Certificate getAttesterCertificate()
The X.509 certificate presented by the attesting party, may be null.

Returns:
  the attesting party's certificate, or null

### getAttesterIPAddress

@Nullable String getAttesterIPAddress()
The attesting party's IP address, may be null.

For IPv6 addresses this should be in "sanitized" form, without enclosing square brackets.

Returns:
  the attesting party's IP address, or null if not known

### getReceiverEndpointURI

@Nullable String getReceiverEndpointURI()
The endpoint URI at which the assertion being validated was received, may be null.

Returns:
  the endpoint URI, or null if not applicable